package com.zehong.system.domain.train;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 用户课程对象 t_train_user_course
 *
 * @author zehong
 * @date 2022-09-19
 */
public class TTrainUserCourse extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户课程id */
    private Long userCourseId;

    /** 用户id */
    private Long userId;

    /** 课程id */
    private Long courseId;


    /**人员名称**/
    @Excel(name = "考试人员")
    private String staffName;

    /** 创建人 */
    private String createUser;


    /**人员部门**/
    @Excel(name = "所属部门")
    private String deptName;


    /** 最后一次考试时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "考试时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date examinationTime;


    /** 最后一次考试结果（答对数量） */
    @Excel(name = "得分")
    private Integer examinationResult;


    /** 0未学习 1未通过 2已通过 */
    private Integer state;

    /** 0未学习 1未通过 2已通过 */
    @Excel(name = "考试结果")
    private String states;

    private Integer personnelType;

    private Integer finishDuration;
    private Integer trainState;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getStates() {
        return states;
    }

    public void setStates(String states) {
        this.states = states;
    }

    public Integer getFinishDuration() {
        return finishDuration;
    }

    public void setFinishDuration(Integer finishDuration) {
        this.finishDuration = finishDuration;
    }

    public Integer getTrainState() {
        return trainState;
    }

    public void setTrainState(Integer trainState) {
        this.trainState = trainState;
    }

    public Integer getPersonnelType() {
        return personnelType;
    }

    public void setPersonnelType(Integer personnelType) {
        this.personnelType = personnelType;
    }

    public void setUserCourseId(Long userCourseId)
    {
        this.userCourseId = userCourseId;
    }

    public Long getUserCourseId()
    {
        return userCourseId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setCourseId(Long courseId)
    {
        this.courseId = courseId;
    }

    public Long getCourseId()
    {
        return courseId;
    }
    public void setState(Integer state)
    {
        this.state = state;
    }

    public Integer getState()
    {
        return state;
    }
    public void setExaminationTime(Date examinationTime)
    {
        this.examinationTime = examinationTime;
    }

    public Date getExaminationTime()
    {
        return examinationTime;
    }
    public void setExaminationResult(Integer examinationResult)
    {
        this.examinationResult = examinationResult;
    }

    public Integer getExaminationResult()
    {
        return examinationResult;
    }
    public void setCreateUser(String createUser)
    {
        this.createUser = createUser;
    }

    public String getCreateUser()
    {
        return createUser;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return "TTrainUserCourse{" +
                "userCourseId=" + userCourseId +
                ", userId=" + userId +
                ", courseId=" + courseId +
                ", staffName='" + staffName + '\'' +
                ", createUser='" + createUser + '\'' +
                ", deptName='" + deptName + '\'' +
                ", examinationTime=" + examinationTime +
                ", examinationResult=" + examinationResult +
                ", state=" + state +
                ", states='" + states + '\'' +
                ", personnelType=" + personnelType +
                ", finishDuration=" + finishDuration +
                ", trainState=" + trainState +
                '}';
    }
}
